Subject: Emacs 27 crash with `memory-use-counts'

From: Karl Otness <[email-masked]>
Date: Sat, 25 Aug 2018 22:50:25 -0500

I've observed a crash with Emacs master (version as of a couple days
ago). To reproduce with "emacs -q" just eval (memory-use-counts) in
scratch. Printing or manipulating the list causes the crash.

The cause seems to that listn is called with a length of 8 rather than
7 in the source of memory-use-counts (alloc.c line 7020) when only
seven elements are specified. Might be leftover from getting rid of
misc. Bumping that number down to 7 fixed the crash for me.

I didn't attach a patch since it's a one-line change, but if it would
be easier for me to put one together I'd be happy to come back with
one.

Thanks,
Karl